## shinken 1.4

=== doc/manpages/markdown/Makefile ===


SRC= $(wildcard *.8.md)
OBJ= $(SRC:.8.md=.8)

all: $(OBJ)

%.8: %.8.md
	pandoc -s -w man $< -o $@

clean:
	rm -f *.8

## shinken 0.6.5

=== debian/changelog ===
shinken (0.6.5-2) unstable; urgency=low

  * Fixing long description (Closes: #642254)
  * Fix init scripts (Closes: #642297)
  * Adds nagios group if not existing,
    Add shinken to the nagios group (Closes: #642438)

 -- Arthur Gautier <superbaloo+debian@superbaloo.net>  Thu, 22 Sep 2011 22:48:24 +0200

shinken (0.6.5-1) unstable; urgency=low

  * Initial release (Closes: #599073) 

 -- Arthur Gautier <superbaloo+debian@superbaloo.net>  Thu, 15 Sep 2011 14:00:09 +0200

=== debian/control ===
Source: shinken
Section: net
Priority: extra
Maintainer: Arthur Gautier <superbaloo+debian@superbaloo.net>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~), python-setuptools, quilt
Standards-Version: 3.9.2
Homepage: http://www.shinken-monitoring.org/
XS-Python-Version: >= 2.5, << 3.0
Vcs-Git: git://anonscm.debian.org/collab-maint/shinken.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/shinken.git;a=summary

Package: shinken
Architecture: all
Depends: shinken-arbiter (= ${source:Version}), shinken-broker (= ${source:Version}), shinken-discovery (= ${source:Version}), shinken-poller (= ${source:Version}), shinken-reactionner (= ${source:Version}), shinken-receiver (= ${source:Version}), shinken-scheduler (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Flexible monitoring tool - Meta-package
 This package installs all components for shinken.
 Shinken is a new, Nagios compatible monitoring tool, written in Python. The
 main goal of Shinken is to allow users to have a fully flexible architecture
 for their monitoring system that can easily scale to large environments.

Package: shinken-core
Architecture: all
Depends:  adduser, lsb-base, grep(>= 2.6.3-3), python (>= 2.6.6-3~), pyro (>= 1:3.9.1-2), python-simplejson, python-pysqlite2, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Flexible monitoring - Core component
 Core component for shinken monitoring.
 .
 Shinken is a new, Nagios compatible monitoring tool, written in Python. The
 main goal of Shinken is to allow users to have a fully flexible architecture
 for their monitoring system that can easily scale to large environments.

# {{{ Arbiter module
Package: shinken-arbiter
Architecture: all
Depends: python (>= 2.6.6-3~), shinken-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Flexible monitoring - Arbiter module
 Arbiter module for shinken monitoring.
 .
 This module dispatchs configuration to other components envolved in shinken
 infrastructure.
 .
 Shinken is a new, Nagios compatible monitoring tool, written in Python. The
 main goal of Shinken is to allow users to have a fully flexible architecture
 for their monitoring system that can easily scale to large environments.
# }}}

# {{{ Broker module
Package: shinken-broker
Architecture: all
Depends: python (>= 2.6.6-3~), python-mysqldb, python-redis, python-memcache, shinken-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Flexible monitoring - Broker module
 Broker module for shinken monitoring. Broker module gets status from other
 components and manage it (store in database, export to other systems,
 provide remote RPC, ...).
 .
 Shinken is a new, Nagios compatible monitoring tool, written in Python. The
 main goal of Shinken is to allow users to have a fully flexible architecture
 for their monitoring system that can easily scale to large environments.
#  }}}

# {{{ Discovery module
Package: shinken-discovery
Architecture: all
Depends: python (>= 2.6.6-3~), shinken-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Flexible monitoring - Discovery module
 Discovery module for shinken monitoring. It tries to discover other systems
 around and configure shinken with the results.
 .
 Shinken is a new, Nagios compatible monitoring tool, written in Python. The
 main goal of Shinken is to allow users to have a fully flexible architecture
 for their monitoring system that can easily scale to large environments.
#  }}}

#  {{{ Poller module
Package: shinken-poller
Architecture: all
Depends: python (>= 2.6.6-3~), shinken-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Suggests: nagios-plugins-basic
Description: Flexible monitoring - Poller module
 Poller module for shinken monitoring. This module actually do checks and
 request your infrastructure components.
 .
 Shinken is a new, Nagios compatible monitoring tool, written in Python. The
 main goal of Shinken is to allow users to have a fully flexible architecture
 for their monitoring system that can easily scale to large environments.
# }}}

# {{{ Reactionner module
Package: shinken-reactionner
Architecture: all
Depends: python (>= 2.6.6-3~), bsd-mailx | mailx, shinken-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Flexible monitoring - Reactionner module
 Reactionner module for shinken monitoring. This module handles notifications
 like sending emails, alerting you through irc, jabber or sms. It may launch
 commands on envolved computers or relaunch services.
 .
 Shinken is a new, Nagios compatible monitoring tool, written in Python. The
 main goal of Shinken is to allow users to have a fully flexible architecture
 for their monitoring system that can easily scale to large environments.
#  }}}

# {{{ Receiver module
Package: shinken-receiver
Architecture: all
Depends: python (>= 2.6.6-3~), shinken-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Flexible monitoring - Receiver module
 Receiver module for shinken monitoring. It may be used to receive NSCA
 information and passive checks from servers.
 .
 Shinken is a new, Nagios compatible monitoring tool, written in Python. The
 main goal of Shinken is to allow users to have a fully flexible architecture
 for their monitoring system that can easily scale to large environments.
#  }}}

#  {{{ Scheduler module
Package: shinken-scheduler
Architecture: all
Depends: python (>= 2.6.6-3~), python-redis, python-memcache, shinken-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Flexible monitoring - Scheduler module
 Scheduler module for shinken monitoring. Scheduler drives checks from poller.
 .
 Shinken is a new, Nagios compatible monitoring tool, written in Python. The
 main goal of Shinken is to allow users to have a fully flexible architecture
 for their monitoring system that can easily scale to large environments.
# }}}

# vim: foldmethod=marker:

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@ --with python2,quilt

clean:
	dh clean --with python2,quilt
	# dh_clean does not support removing dirs
	rm -rf build Shinken.egg-info

build:
	dh_testdir
	dh_auto_configure
	python setup.py build \
	  --build-base debian/tmp/ \
	  --build-purelib debian/tmp/usr/lib/python2.6/dist-packages/ 
	dh_auto_test

binary: 
	dh_testroot
	dh_prep
	dh_installdirs
	
	python setup.py install \
	  --no-compile \
	  --install-layout=deb \
	  --install-purelib /usr/lib/python2.6/dist-packages/ \
	  --root $(CURDIR)/debian/tmp
	
	# Fix debian paths
	sed -i -r "s#$(CURDIR)/debian/tmp##" \
	  debian/tmp/etc/shinken/*.ini \
	  debian/tmp/etc/shinken/*.cfg \
	  debian/tmp/etc/default/shinken
	
	# Fix lsb tags
	sed -i -r 's/^(# Required-Start:.*|# Required-Stop:.*)$$/\1 $$remote_fs/' \
	  debian/tmp/etc/init.d/shinken
	sed -i -r 's/(# Default-Stop:.*)S (.*)/\1\2/' \
	  debian/tmp/etc/init.d/shinken
	sed -n -i '1h;1!H;$${;g;s/### BEGIN INIT INFO Redhat.*### END INIT INFO//g;p;}' \
	  debian/tmp/etc/init.d/shinken-arbiter \
	  debian/tmp/etc/init.d/shinken-broker \
	  debian/tmp/etc/init.d/shinken-poller \
	  debian/tmp/etc/init.d/shinken-receiver \
	  debian/tmp/etc/init.d/shinken-reactionner \
	  debian/tmp/etc/init.d/shinken-scheduler
	
	# Fix init.d-script-does-not-implement-required-option
	sed -i -r 's/^(.*)\|restart\|(.*)\)([:blank:]*)/\1|restart|force-reload|\2)\3/' \
	  debian/tmp/etc/init.d/shinken
	sed -i -e '$$a# avoid init.d-script-does-not-implement-required-option lintian error' \
	    -e '$$a case "$$*" in start|stop|restart|force-reload);; esac' \
	     debian/tmp/etc/init.d/shinken-arbiter \
	     debian/tmp/etc/init.d/shinken-broker \
	     debian/tmp/etc/init.d/shinken-poller \
	     debian/tmp/etc/init.d/shinken-receiver \
	     debian/tmp/etc/init.d/shinken-reactionner \
	     debian/tmp/etc/init.d/shinken-scheduler
	
	# Split in subpackages
	dh_install
	
	# creates empty var directory
	mkdir -p --mode=750 debian/shinken-core/var/log/shinken
	
	dh_python2 -p shinken-core
	dh_python2 -p shinken-arbiter
	dh_python2 -p shinken-broker
	dh_python2 -p shinken-reactionner
	dh_python2 -p shinken-poller
	dh_python2 -p shinken-discovery
	dh_python2 -p shinken-receiver
	dh_python2 -p shinken-scheduler
	
	dh_installdocs
	dh_installchangelogs
	dh_installexamples
	dh_installman
	dh_installcatalogs
	dh_installcron
	dh_installdebconf
	dh_installemacsen
	dh_installifupdown
	dh_installinfo
	dh_installinit
	dh_installmenu
	dh_installmime
	dh_installmodules
	dh_installlogcheck
	dh_installlogrotate
	dh_installpam
	dh_installppp
	dh_installudev
	dh_installwm
	dh_installxfonts
	dh_lintian
	dh_gconf
	dh_icons
	dh_perl
	dh_usrlocal
	dh_link
	dh_compress
	dh_fixperms
	dh_strip
	dh_makeshlibs
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

get-orig-source:
	uscan --force-download --rename --verbose

=== debian/watch ===
version=3
http://githubredir.debian.net/github/naparuba/shinken /github/naparuba/shinken/(.*).tar.gz debian debian/orig-tar.sh

## shinken 1.4

=== debian/changelog ===
shinken (1.4-2) unstable; urgency=low

  * Shinken-common now breaks old Shinken-core. Closes: #729702 
  * Add new package shinken-module-broker-webui-graphite. Closes: #730765
  * Change config files to respet Debian policy. Closes: #729700
  * Package cleaning. Thanks to Mathieu Parent.

 -- Thibault Cohen <thibault.cohen@savoirfairelinux.com>  Thu, 16 Jan 2014 11:35:12 -0500

shinken (1.4-1) unstable; urgency=low

  * New upstream release (#672496)
  * Refactor of the build process
  * Split modules in separate packages
  * Shinken package is now a package which configures Shinken elements to have
    a ready-to-go solution
  * Fix licences in debian/copyright
  * Add javascripts sources
  * Update shinken init script
  * Fix ws_arbiter dependencies
  * Change ini paths

  [ Sylvestre Ledru ]
  * Standards-Version updated to 3.9.5
  * watch file added

 -- Thibault Cohen <thibault.cohen@savoirfairelinux.com>  Fri, 21 Jun 2013 15:07:56 +0200

shinken (1.0-1) unstable; urgency=low

  * Upgrade to 1.0

 -- Arthur Gautier <superbaloo+debian@superbaloo.net>  Tue, 28 Feb 2012 18:37:34 +0100

shinken (0.8.5-1) unstable; urgency=low

  * Update to 0.8.5

 -- Arthur Gautier <superbaloo+debian@superbaloo.net>  Mon, 06 Feb 2012 18:19:46 +0100

shinken (0.8.1-1) unstable; urgency=low

  * 0.8 version of shinken
  * Major feature:
    * WebUI
  * For other things please see
    https://github.com/naparuba/shinken/blob/master/Changelog

 -- Arthur Gautier <superbaloo+debian@superbaloo.net>  Sat, 12 Nov 2011 15:10:17 +0100

=== debian/control ===
Source: shinken
Maintainer: Thibault Cohen <thibault.cohen@savoirfairelinux.com>
Section: net
Priority: extra
Vcs-Git: git://anonscm.debian.org/collab-maint/shinken.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/shinken.git;a=summary
Standards-Version: 3.9.5
XS-Python-Version: >= 2.5, << 3.0
Build-Depends: python, debhelper (>= 9), quilt, python-setuptools, po-debconf
Homepage: http://www.shinken-monitoring.org

Package: shinken
Architecture: any
Depends: shinken-common (= ${binary:Version}), ${misc:Depends},
 shinken-module-broker-webui (= ${binary:Version}),
 shinken-module-broker-webui-cfgpassword (= ${binary:Version}),
 shinken-module-broker-webui-sqlitedb (= ${binary:Version}),
 shinken-module-retention-picklefile (= ${binary:Version}),
Description: Flexible monitoring tool - Meta-package
 This meta-package install a minimal and fully functionnal monitoring solution
 based on Shinken and its WebUI module.
 .
 Shinken is a new, Nagios compatible monitoring tool, written in Python. The
 main goal of Shinken is to allow users to have a fully flexible architecture
 for their monitoring system that can easily scale to large environments.

Package: shinken-common
Architecture: any
Breaks: shinken-core (<< 1.4), shinken (<< 1.4)
Replaces: shinken-arbiter, shinken-broker, shinken-discovery,
 shinken-poller, shinken-reactionner, shinken-receiver,
 shinken-scheduler, shinken-core
Depends: ${python:Depends}, pyro | python2-pyro4, ${misc:Depends}, adduser
Recommends: nagios-plugins-basic, bsd-mailx | mailx,
 shinken-common (= ${binary:Version}), ${misc:Depends},
 shinken-module-broker-webui (= ${binary:Version}),
 shinken-module-broker-webui-cfgpassword (= ${binary:Version}),
 shinken-module-broker-webui-sqlitedb (= ${binary:Version}),
 shinken-module-retention-picklefile (= ${binary:Version}),
Description: Flexible monitoring tool - Common files
 Common files for shinken monitoring.
 .
 Shinken is a new, Nagios compatible monitoring tool, written in Python. The
 main goal of Shinken is to allow users to have a fully flexible architecture
 for their monitoring system that can easily scale to large environments.

# POLLER MODULES
Package: shinken-module-poller-nrpe
Architecture: any
Depends: shinken-common (= ${binary:Version}), ${misc:Depends}
Conflicts: shinken-core
Recommends: python-openssl
Description:  Flexible monitoring tool - NRPE module for Poller
 NRPE module for Poller. This module makes NRPE requests without NRPE plugin.
 .
 Shinken is a new, Nagios compatible monitoring tool, written in Python. The
 main goal of Shinken is to allow users to have a fully flexible architecture
 for their monitoring system that can easily scale to large environments.

# BROKER MODULES
Package: shinken-module-broker-npcdmod
Architecture: any
Depends: shinken-common (= ${binary:Version}), ${misc:Depends}
Conflicts: shinken-core
Recommends: pnp4nagios
Description: Flexible monitoring tool - PNP4Nagios module for Broker
 PNP4Nagios module for Broker. This module export performance datas from
 Broker to NPCD daemon (PNP4Nagios daemon)
 .
 Shinken is a new, Nagios compatible monitoring tool, written in Python. The
 main goal of Shinken is to allow users to have a fully flexible architecture
 for their monitoring system that can easily scale to large environments.

Package: shinken-module-broker-graphite
Architecture: any
Depends: shinken-common (= ${binary:Version}), ${misc:Depends}
Conflicts: shinken-core
Suggests: graphite-carbon
Description: Flexible monitoring tool - Graphite module for Broker
 Graphite module for Broker. This module export performance datas from
 Broker to Graphite (through Carbon)
 .
 Shinken is a new, Nagios compatible monitoring tool, written in Python. The
 main goal of Shinken is to allow users to have a fully flexible architecture
 for their monitoring system that can easily scale to large environments.

Package: shinken-module-broker-livestatus
Architecture: any
Depends: shinken-common (= ${binary:Version}), ${misc:Depends},
 shinken-module-broker-livestatus-sqlite | shinken-module-broker-livestatus-null | shinken-module-broker-livestatus-mongodb
Conflicts: shinken-core
Description: Flexible monitoring tool - LiveStatus module for Broker
 LiveStatus module for Broker. This module provides a LiveStatus interface
 to Shinken
 .
 Shinken is a new, Nagios compatible monitoring tool, written in Python. The
 main goal of Shinken is to allow users to have a fully flexible architecture
 for their monitoring system that can easily scale to large environments.

Package: shinken-module-broker-livestatus-null
Architecture: any
Depends: shinken-module-broker-livestatus (= ${binary:Version}), ${misc:Depends}
Conflicts: shinken-core
Description: Shinken Null logstore for LiveStatus broker module
 Null logstore for LiveStatus Broker module. This module provides a
 fake storage for LiveStatus module.
 .
 Shinken is a new, Nagios compatible monitoring tool, written in Python. The
 main goal of Shinken is to allow users to have a fully flexible architecture
 for their monitoring system that can easily scale to large environments.

Package: shinken-module-broker-livestatus-sqlite
Architecture: any
Depends: shinken-module-broker-livestatus (= ${binary:Version}), ${misc:Depends}
Conflicts: shinken-core
Description: Shinken Sqlite logstore for LiveStatus broker module
 Sqlite logstore for LiveStatus Broker module. This module provides a
 Sqlite storage for LiveStatus module.
 .
 Shinken is a new, Nagios compatible monitoring tool, written in Python. The
 main goal of Shinken is to allow users to have a fully flexible architecture
 for their monitoring system that can easily scale to large environments.

Package: shinken-module-broker-livestatus-mongodb
Architecture: any
Depends: python-pymongo, shinken-module-broker-livestatus (= ${binary:Version}), ${misc:Depends}
Conflicts: shinken-core
suggests: mongodb-server
Description: Shinken MongoDB logstore for LiveStatus broker module
 MongoDB logstore for LiveStatus Broker module. This module provides a
 MongoDB storage for LiveStatus module.
 .
 Shinken is a new, Nagios compatible monitoring tool, written in Python. The
 main goal of Shinken is to allow users to have a fully flexible architecture
 for their monitoring system that can easily scale to large environments.

Package: shinken-module-broker-webui
Architecture: any
Depends: ${python:Depends}, libjs-jquery, shinken-common (= ${binary:Version}), fonts-font-awesome, ${misc:Depends}
Conflicts: shinken-core
Description: Shinken WebUI broker module
 WebUI is the standard web interface for Shinken. The interface shows
 current hosts and services status 
 .
 Shinken is a new, Nagios compatible monitoring tool, written in Python. The
 main goal of Shinken is to allow users to have a fully flexible architecture
 for their monitoring system that can easily scale to large environments.

Package: shinken-module-broker-webui-cfgpassword
Architecture: any
Depends: shinken-module-broker-webui (= ${binary:Version}), ${misc:Depends}
Conflicts: shinken-core
Description: Shinken cfg_password authentifcation module for WebUI broker
 This module provides an authentication for WebUI. This module get
 credentials from contacts defined in the Shinken configuration.
 .
 Shinken is a new, Nagios compatible monitoring tool, written in Python. The
 main goal of Shinken is to allow users to have a fully flexible architecture
 for their monitoring system that can easily scale to large environments.

Package: shinken-module-broker-webui-sqlitedb
Architecture: any
Depends: shinken-module-broker-webui (= ${binary:Version}), ${misc:Depends}
Conflicts: shinken-core
Description: Shinken Sqlite storage module for WebUI broker
 This module store user preferences in a sqlite database.
 .
 Shinken is a new, Nagios compatible monitoring tool, written in Python. The
 main goal of Shinken is to allow users to have a fully flexible architecture
 for their monitoring system that can easily scale to large environments.

Package: shinken-module-broker-webui-mongodb
Architecture: any
Depends: shinken-module-broker-webui (= ${binary:Version}), ${misc:Depends}
Conflicts: shinken-core
Recommends:  mongodb-server
Description: Shinken MongoDB storage module for WebUI broker
 This module store user preferences in a mongodb database.
 .
 Shinken is a new, Nagios compatible monitoring tool, written in Python. The
 main goal of Shinken is to allow users to have a fully flexible architecture
 for their monitoring system that can easily scale to large environments.

Package: shinken-module-broker-webui-graphite
Architecture: any
Depends: shinken-module-broker-webui (= ${binary:Version}), ${misc:Depends}
Conflicts: shinken-core
Recommends:  shinen-module-broker-graphite
Description: Shinken Graphite module for WebUI broker
 This module will show graph from Graphite in the WebUI.
 .
 Shinken is a new, Nagios compatible monitoring tool, written in Python. The
 main goal of Shinken is to allow users to have a fully flexible architecture
 for their monitoring system that can easily scale to large environments.

# ARBITER MODULES
Package: shinken-module-arbiter-ws
Architecture: any
Depends: shinken-common (= ${binary:Version}), ${misc:Depends}, shinken-module-broker-webui
Conflicts: shinken-core
Description: WebService module for Arbiter or Receiver
 WebService module for the Arbiter and Receiver. It can receiver passive
 check results vai HTTP POST.
 .
 Shinken is a new, Nagios compatible monitoring tool, written in Python. The
 main goal of Shinken is to allow users to have a fully flexible architecture
 for their monitoring system that can easily scale to large environments.

Package: shinken-module-arbiter-hotdependencies
Architecture: any
Depends: shinken-common (= ${binary:Version}), ${misc:Depends}
Conflicts: shinken-core
Description: Hot Dependencies module for Arbiter
 With this module you can change host parents without restart the Arbiter.
 .
 Shinken is a new, Nagios compatible monitoring tool, written in Python. The
 main goal of Shinken is to allow users to have a fully flexible architecture
 for their monitoring system that can easily scale to large environments.

Package: shinken-module-arbiter-collectd
Architecture: any
Depends: shinken-common (= ${binary:Version}), ${misc:Depends}
Conflicts: shinken-core
Description: Collectd module for Arbiter or Receiver
 This module will listen on Collectd standard port and can receive passive
 checks results from a collectd daemon.
 .
 Shinken is a new, Nagios compatible monitoring tool, written in Python. The
 main goal of Shinken is to allow users to have a fully flexible architecture
 for their monitoring system that can easily scale to large environments.

Package: shinken-module-arbiter-nsca
Architecture: any
Depends: shinken-common (= ${binary:Version}), ${misc:Depends}
Conflicts: shinken-core
Description: NSCA module for Arbiter or Receiver
 This module will listen on NSCA standard port and can receive passive check
 results sent from send_nsca scripts.
 .
 Shinken is a new, Nagios compatible monitoring tool, written in Python. The
 main goal of Shinken is to allow users to have a fully flexible architecture
 for their monitoring system that can easily scale to large environments.

# MULTI COMPONENT MODULES
Package: shinken-module-retention-picklefile
Architecture: any
Depends: shinken-common (= ${binary:Version}), ${misc:Depends}
Conflicts: shinken-core
Description: Retention module for Arbiter, Scheduler or Broker
 This module stores hosts and services states in files and keep it between
 process restarts.
 .
 Shinken is a new, Nagios compatible monitoring tool, written in Python. The
 main goal of Shinken is to allow users to have a fully flexible architecture
 for their monitoring system that can easily scale to large environments.

Package: shinken-module-retention-mongodb
Architecture: any
Depends: shinken-common (= ${binary:Version}), ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f


ETC=/etc/shinken/
VAR=/var/lib/shinken/
SCRIPTS_BIN=/usr/share/pyshared/shinken/bin/
RUN=/var/run/shinken/
LOG=/var/log/shinken/

%:
	dh $@ --with python2 --install-layout=deb,quilt

override_dh_clean:
	rm -rf ./build
	rm -rf ./Shinken.egg-info
	dh_clean
	debconf-updatepo

override_dh_install:
	# INSTALL
	dh_install
	# Fixups
	rm debian/shinken-module-broker-webui/usr/share/shinken/htdocs/js/jquery.js
	rm debian/shinken-module-broker-webui/usr/share/shinken/htdocs/font/FontAwesome.otf
	rm debian/shinken-module-broker-webui/usr/share/shinken/htdocs/font/fontawesome-webfont.ttf
	sed -i -r 's/^# Default-Start:     2 3 4 5/# Default-Start:/g' debian/shinken-common/etc/init.d/shinken
	mkdir -p debian/shinken-common/etc/default/
	cp debian/shinken-common.default debian/shinken-common/etc/default/shinken
	sed -i "s|\$$ETC\\$$|$(ETC)|g" debian/shinken-common/etc/default/shinken
	sed -i "s|\$$VAR\\$$|$(VAR)|g" debian/shinken-common/etc/default/shinken
	sed -i "s|\$$SCRIPTS_BIN\\$$|$(SCRIPTS_BIN)|g" debian/shinken-common/etc/default/shinken
	sed -i "s|\$$RUN\\$$|$(RUN)|g" debian/shinken-common/etc/default/shinken
	sed -i "s|\$$LOG\\$$|$(LOG)|g" debian/shinken-common/etc/default/shinken

override_dh_installinit:
	dh_installinit --no-start --name=shinken

override_dh_fixperms:
	dh_fixperms
	## shinken-module-broker-webui
	find debian/shinken-module-broker-webui/usr/share/shinken/htdocs/ \
	  \( -name "*.png" \
	  -o -name "*.css" \
	  -o -name "*.ttf" \
	  -o -name "*.eot" \
	  -o -name "*.woff" \
	  -o -name "*.gif" \
	  -o -name "*.ico" \
	  -o -name "*.svg" \
	  -o -name "*.otf" \) \
	  -exec chmod -x {} \;

=== debian/watch ===
version=3
http://www.shinken-monitoring.org/pub/ shinken-(\d[\d\.]+).tar.gz

## shinken 1.4.2

=== debian/changelog ===
shinken (1.4.2-3) unstable; urgency=medium

  * Fix bin path. LP: #1300394
  * Vcs-Git & Vcs-browser

  [ Sylvestre Ledru ]
  * Silent 3 lintian errors. The sources are there.

 -- Thibault Cohen <thibault.cohen@savoirfairelinux.com>  Mon, 02 Jun 2014 14:31:28 -0400

shinken (1.4.2-2) unstable; urgency=medium

  * Update to 1.4.3-pre1
  * Fix circular dependencies. Closes: #744373
  * Add patches for triggers and perfdatas
  * Add missing sources

 -- Thibault Cohen <thibault.cohen@savoirfairelinux.com>  Thu, 15 May 2014 12:16:23 -0400

shinken (1.4.2-1) unstable; urgency=medium

  * New Upstream Version. Closes: #740873

 -- Thibault Cohen <thibault.cohen@savoirfairelinux.com>  Thu, 06 Mar 2014 12:00:22 -0500

shinken (1.4-4) unstable; urgency=medium

  * Fix /var/run/shinken folder creation. Closes: #740438
  * Fix WebUI postinst script. Closes: #740468

 -- Thibault Cohen <thibault.cohen@savoirfairelinux.com>  Sun, 02 Mar 2014 11:09:55 -0500

shinken (1.4-3) unstable; urgency=low

  * Delete useless debconf files. Closes: #736395
  * Delete sourceless flash file. Closes: #736789
  * Add source for sourceless file. Closes: #736784
  * Fix mongodb dependencies. Closes: #732556
  * Remove folders created from package. Closes: #739791
  * Add a new uploader

 -- Thibault Cohen <thibault.cohen@savoirfairelinux.com>  Thu, 27 Feb 2014 18:30:59 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: shinken
 Maintainer: Thibault Cohen <thibault.cohen@savoirfairelinux.com>
+Uploaders: Mathieu Parent <math.parent@gmail.com>
 Section: net
 Priority: extra
-Vcs-Git: git://anonscm.debian.org/collab-maint/shinken.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/shinken.git;a=summary
+Vcs-Git: http://alioth.debian.org/anonscm/git/pkg-shinken/shinken.git
+Vcs-Browser: https://alioth.debian.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=pkg-shinken/shinken.git;a=summary
 Standards-Version: 3.9.5
 XS-Python-Version: >= 2.5, << 3.0
 Build-Depends: python, debhelper (>= 9), quilt, python-setuptools, po-debconf
@@ -32,7 +33,6 @@
  shinken-scheduler, shinken-core
 Depends: ${python:Depends}, pyro | python2-pyro4, ${misc:Depends}, adduser
 Recommends: nagios-plugins-basic, bsd-mailx | mailx,
- shinken-common (= ${binary:Version}), ${misc:Depends},
  shinken-module-broker-webui (= ${binary:Version}),
  shinken-module-broker-webui-cfgpassword (= ${binary:Version}),
  shinken-module-broker-webui-sqlitedb (= ${binary:Version}),
@@ -87,7 +87,7 @@
 Package: shinken-module-broker-livestatus
 Architecture: any
 Depends: shinken-common (= ${binary:Version}), ${misc:Depends},
- shinken-module-broker-livestatus-sqlite | shinken-module-broker-livestatus-null | shinken-module-broker-livestatus-mongodb
+Recommends: shinken-module-broker-livestatus-sqlite | shinken-module-broker-livestatus-null | shinken-module-broker-livestatus-mongodb
 Conflicts: shinken-core
 Description: Flexible monitoring tool - LiveStatus module for Broker
  LiveStatus module for Broker. This module provides a LiveStatus interface
@@ -125,7 +125,7 @@
 Architecture: any
 Depends: python-pymongo, shinken-module-broker-livestatus (= ${binary:Version}), ${misc:Depends}
 Conflicts: shinken-core
-suggests: mongodb-server
+Recommends: mongodb-server
 Description: Shinken MongoDB logstore for LiveStatus broker module
  MongoDB logstore for LiveStatus Broker module. This module provides a
  MongoDB storage for LiveStatus module.
@@ -256,4 +256,3 @@
 
 Package: shinken-module-retention-mongodb
 Architecture: any
-Depends: shinken-common (= ${binary:Version}), ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 ETC=/etc/shinken/
 VAR=/var/lib/shinken/
-SCRIPTS_BIN=/usr/share/pyshared/shinken/bin/
+SCRIPTS_BIN=/usr/lib/python2.7/dist-packages/shinken/bin/
 RUN=/var/run/shinken/
 LOG=/var/log/shinken/
 
@@ -14,7 +14,6 @@
 	rm -rf ./build
 	rm -rf ./Shinken.egg-info
 	dh_clean
-	debconf-updatepo
 
 override_dh_install:
 	# INSTALL
@@ -26,11 +25,19 @@
 	sed -i -r 's/^# Default-Start:     2 3 4 5/# Default-Start:/g' debian/shinken-common/etc/init.d/shinken
 	mkdir -p debian/shinken-common/etc/default/
 	cp debian/shinken-common.default debian/shinken-common/etc/default/shinken
+	cp debian/js-sources/* debian/shinken-module-broker-webui/usr/share/shinken/htdocs/js/
 	sed -i "s|\$$ETC\\$$|$(ETC)|g" debian/shinken-common/etc/default/shinken
 	sed -i "s|\$$VAR\\$$|$(VAR)|g" debian/shinken-common/etc/default/shinken
 	sed -i "s|\$$SCRIPTS_BIN\\$$|$(SCRIPTS_BIN)|g" debian/shinken-common/etc/default/shinken
 	sed -i "s|\$$RUN\\$$|$(RUN)|g" debian/shinken-common/etc/default/shinken
 	sed -i "s|\$$LOG\\$$|$(LOG)|g" debian/shinken-common/etc/default/shinken
+	# Delete useless files with bad file name
+	rm -f debian/shinken-common/usr/share/doc/shinken/doc/source/_static/images/\ green_dot.16x16.png\?16\ 
+	rm -f debian/shinken-common/usr/share/doc/shinken/doc/source/_static/images/official/images/checkmark.png\}\}\ 
+	rm -f debian/shinken-common/usr/share/doc/shinken/doc/source/_static/images/rss\>http/slashdot.org/index.rss\ 5\ author\ date\ 1h\ 
+	rm -f debian/shinken-common/usr/share/doc/shinken/doc/source/_static/images/space/green_dot.16x16.png\?16\ 
+	rm -f debian/shinken-common/usr/share/doc/shinken/doc/source/_static/images/space/orange_dot.16x16.png\?16\ 
+	rm -f debian/shinken-common/usr/share/doc/shinken/doc/source/_static/images/space/red_dot.16x16.png\?16\ 
 
 override_dh_installinit:
 	dh_installinit --no-start --name=shinken

## shinken 2.0.3

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Shinken.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Shinken.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Shinken"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Shinken"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
shinken (2.0.3-4) unstable; urgency=medium

  * Reintroduce transitional shinken-core package for smooth upgrades from
    wheezy.  (Closes: #776489)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 28 Jan 2015 16:44:19 +0100

shinken (2.0.3-3) unstable; urgency=medium

  [ Thibault Cohen ]
  * Remove /var/log/shinken in purge. (Closes: #739791)

 -- Thibault Cohen <tcohen@tcohen-pc.mtl.sfl>  Tue, 11 Nov 2014 10:29:50 -0500

shinken (2.0.3-2) unstable; urgency=medium

  * Upload to unstable
  * Update copyright

 -- Mathieu Parent <sathieu@debian.org>  Mon, 06 Oct 2014 22:04:01 +0200

shinken (2.0.3-1) experimental; urgency=medium

  [ Mathieu Parent ]
  * Init script are already installed by setup.py, remove from
    shinken-common.install
  * Install files from setup.py
  * Removing all patches (integrated upstream, except 11_shinken_init.patch
  * Remove modules, they are now in separate git repos
  * Remove in d/rules things done by setup.py
  * Move doc to a separate package
  * Compile doc (html, txt) and install it
  * Move to dh compat 9
  * Lintian: W: shinken source: debhelper-but-no-misc-depends shinken-doc
  * Set pkg-shinken-maint as Maintainer, and add me as Uploader
  * Don't require any module
  * Everything is arch:all
  * update copyright format URL
  * Lintian: I: shinken: capitalization-error-in-description meta-package
    metapackage
  * Add shinken-doc.doc-base
  * Remove shinken-common.default (not needed anymore)
  * Replace embedded JS libraries in -doc by symlinks
  * init script patches
  * Suggests shinken-mod and shinken-pack virtual packages
  * Install the shinken bin
  * Remove debconf question as shinken/instructions doesn't exist
  * Start the receiver on boot too (as stated in LSB headers)
  * Clean up maintscripts
  * Fix dpkg-statoverride usage
  * Purge directories on purge (and not on remove)
  * useradd/adduser is usually done in postinst
  * Use adduser/addgroup instead of useradd usermod
  * More refactoring
  * Remove duplicate call update-rc.d
  * Don't manage the shinken init script
  * Install webui
  * Create the /var/lib/shinken/modules dir
  * Create an empty /etc/shinken/modules dir
  * Install egg-info
  * Stop lintian from complaining about updaterc.d
  * Lintian: W: shinken-common: executable-not-elf-or-script
    etc/shinken/modules/.placeholder
  * Install images + templates
  * Fix nagios plugin directory path and modules_dir
  * Fix modules_dir for all daemons
  * Fix Vcs-*, and move to Priority: optional
  * broker-master.cfg: Try to load modules Livestatus, Simple-log, WebUI by
    default
  * Recommends: shinken-module-livestatus, shinken-module-simple-log,
    shinken-module-webui
  * Add missing service templates referenced by discrovery rules

  [ Thibault Cohen ]
  * New upstream version (Closes: #745458)
    - Refresh patches
    - Fix build-dependencies
  * Fix Python-Version (Closes: #755347)
  * Change config folder structure
  * Add manpages
  * Update dependencies of the shinken package
  * Clean up README
  * Fix dependencies
  * Fix shinken cli
  * Update debian watch
  * Update module names

 -- Mathieu Parent <sathieu@debian.org>  Thu, 28 Aug 2014 22:26:37 +0200

=== debian/control ===
Source: shinken
Maintainer: Shinken Debian packages maintainers <pkg-shinken-maint@lists.alioth.debian.org>
Uploaders: Thibault Cohen <thibault.cohen@savoirfairelinux.com>, Mathieu Parent <sathieu@debian.org>
Section: net
Priority: optional
Vcs-Git: git://anonscm.debian.org/pkg-shinken/shinken.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-shinken/shinken.git;a=summary
Standards-Version: 3.9.5
XS-Python-Version: >= 2.5, << 2.8
Build-Depends: python, debhelper (>= 9), quilt, python-setuptools, po-debconf, python-sphinx, graphviz
Homepage: http://www.shinken-monitoring.org

Package: shinken
Architecture: all
Depends: ${misc:Depends}, shinken-common (= ${binary:Version}),
 shinken-mod-webui, shinken-mod-pickle-retention-file-generic,
 shinken-mod-sqlitedb, shinken-mod-auth-cfg-password
Suggests: shinken-doc
Description: Flexible monitoring tool - Meta-package
 This metapackage install a minimal and fully functionnal monitoring solution
 based on Shinken and its WebUI module.
 .
 Shinken is a new, Nagios compatible monitoring tool, written in Python. The
 main goal of Shinken is to allow users to have a fully flexible architecture
 for their monitoring system that can easily scale to large environments.

Package: shinken-common
Architecture: all
Breaks: shinken-core (<< 1.4), shinken (<< 1.4)
Replaces: shinken-arbiter, shinken-broker, shinken-discovery,
 shinken-poller, shinken-reactionner, shinken-receiver,
 shinken-scheduler, shinken-core
Depends: ${misc:Depends}, ${python:Depends}, python-pycurl, adduser
Recommends: monitoring-plugins-basic, bsd-mailx | mailx, python-cherrypy3
Description: Flexible monitoring tool - Common files
 Common files for shinken monitoring.
 .
 Shinken is a new, Nagios compatible monitoring tool, written in Python. The
 main goal of Shinken is to allow users to have a fully flexible architecture
 for their monitoring system that can easily scale to large environments.

Package: shinken-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
Description: Flexible monitoring tool - Documentation
 Shinken documentation.
 .
 Shinken is a new, Nagios compatible monitoring tool, written in Python. The
 main goal of Shinken is to allow users to have a fully flexible architecture
 for their monitoring system that can easily scale to large environments.

Package: shinken-core
Architecture: all
Depends: ${misc:Depends}
Description: transitional dummy package to ensure smooth upgrades to wheezy
 This empty package can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --install-layout=deb,quilt

override_dh_clean:
	rm -rf ./build
	rm -rf ./Shinken.egg-info
	dh_clean

override_dh_installdirs:
	dh_installdirs
	install -m 0644 $(CURDIR)/debian/placeholder $(CURDIR)/debian/shinken-common/etc/shinken/modules/.placeholder

override_dh_installinit:
	dh_installinit --no-start --name=shinken

override_dh_installdocs:
	make --directory=doc html
	dh_installdocs
	# embedded-javascript-library (replaced by symlinks with dh_link)
	rm $(CURDIR)/debian/shinken-doc/usr/share/doc/shinken-doc/html/_static/jquery.js
	rm $(CURDIR)/debian/shinken-doc/usr/share/doc/shinken-doc/html/_static/underscore.js

make_dfsg:
	find windows -name '*.exe' -o -name '*.dll' -delete
	rm doc.old/architecture.fla
	rm doc.old/architecture.swf

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/S/Shinken/Shinken-(\d[\d\.]+).tar.gz

## shinken 2.4.1

=== requirements.txt ===
CherryPy
pycurl
importlib
pbr

=== test/requirements.txt ===
# this is the requirements dedicated to tests.
-r ../requirements.txt
unittest2
mock
coveralls==0.5
nose-cov==1.6
coverage==3.7.1
nose==1.3.4
pylint==1.4.1
pep8==1.5.7

=== test/jenkins/requirements.txt ===
# this is the requirements dedicated to Jenkins (or nose+coverage) tests !
-r ../requirements.txt

=== debian/changelog ===
shinken (2.4.1-1) unstable; urgency=medium

  [ Sebastien Coavoux ]
  * New upstream version.
  [ Mathieu Parent ]
  * Removed me from maintainers

 -- Mathieu Parent <sathieu@debian.org>  Sun, 20 Sep 2015 02:18:46 +0200

shinken (2.2-1) unstable; urgency=medium

  * New upstream version

 -- Thibault Cohen <thibault.cohen@savoirfairelinux.com>  Sat, 07 Feb 2015 12:16:00 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: shinken
 Maintainer: Shinken Debian packages maintainers <pkg-shinken-maint@lists.alioth.debian.org>
-Uploaders: Thibault Cohen <thibault.cohen@savoirfairelinux.com>, Mathieu Parent <sathieu@debian.org>
+Uploaders: Thibault Cohen <thibault.cohen@savoirfairelinux.com>, Sebastien Coavoux <sebastien.coavoux@savoirfairelinux.com>
 Section: net
 Priority: optional
 Vcs-Git: git://anonscm.debian.org/pkg-shinken/shinken.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-shinken/shinken.git;a=summary
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 XS-Python-Version: >= 2.5, << 2.8
 Build-Depends: python, debhelper (>= 9), quilt, python-setuptools, po-debconf, python-sphinx, graphviz
 Homepage: http://www.shinken-monitoring.org
@@ -42,7 +42,7 @@
 Package: shinken-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
+Depends: ${misc:Depends}, libjs-jquery, libjs-underscore, libjs-mathjax, fonts-font-awesome, libjs-modernizr
 Description: Flexible monitoring tool - Documentation
  Shinken documentation.
  .
